function [rev,om] = rtxxfourier(ir,fs,Q,ppp)
% Q=2..8, ppp=2 (energia);
k = 3*log(10);
mit=10.^(nincsnan(edcn(ir,ppp))./(2/ppp*10));
B=fft(mit);
lao=(real(B)./imag(B));
% om=2*pi.*(0:1/(length(ir)-1):1).*fs;
om = linspace(0, 2*pi, length(ir)+1); om = om(1:end-1).*fs;
rx=-nanmean(om(Q).*lao(Q));
rev=ppp*k./rx;